# Visualization
TKV2d
GGraphic2d

# GGraphic2d_SetOfCurves Class Reference

The primitive SetOfCurves
.

`#include <GGraphic2d_SetOfCurves.hxx>`

Inheritance diagram for GGraphic2d_SetOfCurves:

[legend]

## Public Member Functions

Standard_EXPORT | GGraphic2d_SetOfCurves (const Handle(Graphic2d_GraphicObject)&aGraphicObject)
| Creates an empty set of curves in the graphic object <agraphicobject>. .
Standard_EXPORT void | Add (const Handle(Geom2d_Curve)&aCurve)
| Add a curve in the set .
Standard_EXPORT Standard_Integer | Length () const
| Returns the number of curves in the set. .
Standard_EXPORT Handle_Geom2d_Curve | Values (const Standard_Integer aRank) const
| Returns the curve of rank <arank> from the set. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT void | Draw (const Handle(Graphic2d_Drawer)&aDrawer)
| Draws the set of curves <me>. .
virtual Standard_EXPORT void | DrawElement (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws element <anindex> of the set <me>. .
virtual Standard_EXPORT void | DrawVertex (const Handle(Graphic2d_Drawer)&aDrawer, const Standard_Integer anIndex)
| Draws vertex <anindex> of the set <me>. .
Standard_EXPORT Standard_Boolean | Pick (const Standard_ShortReal X, const Standard_ShortReal Y, const Standard_ShortReal aPrecision, const Handle(Graphic2d_Drawer)&aDrawer)
| Returns Standard_True if one curve of the set <me> is picked, Standard_False if not. .
virtual Standard_EXPORT void | Save (Aspect_FStream &aFStream) const

## Private Attributes

GGraphic2d_SequenceOfCurve | myCurves

## Constructor & Destructor Documentation

Standard_EXPORT GGraphic2d_SetOfCurves::GGraphic2d_SetOfCurves | ( | const Handle(Graphic2d_GraphicObject)& | aGraphicObject | ) |

## Member Function Documentation

Standard_EXPORT void GGraphic2d_SetOfCurves::Add | ( | const Handle(Geom2d_Curve)& | aCurve | ) |

Standard_EXPORT void GGraphic2d_SetOfCurves::Draw | ( | const Handle(Graphic2d_Drawer)& | aDrawer | ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void GGraphic2d_SetOfCurves::DrawElement | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

virtual Standard_EXPORT void GGraphic2d_SetOfCurves::DrawVertex | ( | const Handle(Graphic2d_Drawer)& | aDrawer,
|  | const Standard_Integer | anIndex
| ) | `[protected, virtual]`

| Reimplemented from Graphic2d_Primitive.

Standard_EXPORT const GGraphic2d_SetOfCurves::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Standard_Integer GGraphic2d_SetOfCurves::Length | ( |  | ) | const

Standard_EXPORT Standard_Boolean GGraphic2d_SetOfCurves::Pick | ( | const Standard_ShortReal | X,
|  | const Standard_ShortReal | Y,
|  | const Standard_ShortReal | aPrecision,
|  | const Handle(Graphic2d_Drawer)& | aDrawer
| ) | `[protected, virtual]`

| Implements Graphic2d_Primitive.

virtual Standard_EXPORT void GGraphic2d_SetOfCurves::Save | ( | Aspect_FStream & | aFStream | ) | const`[protected, virtual]`

| Reimplemented from Graphic2d_Line.

Standard_EXPORT Handle_Geom2d_Curve GGraphic2d_SetOfCurves::Values | ( | const Standard_Integer | aRank | ) | const

## Field Documentation

GGraphic2d_SequenceOfCurve GGraphic2d_SetOfCurves::myCurves `[private]`

The documentation for this class was generated from the following file:

- GGraphic2d_SetOfCurves.hxx